跳转到主要内容
GET
/
open
/
institution
/
v1
/
order
/
detail
查询订阅订单详情
curl --request GET \
  --url https://openplatform.gateapi.io/pay-subscription/open/institution/v1/order/detail \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "code": "0",
  "message": "",
  "data": {
    "subscriptionOrderNo": "63812942625112175",
    "merchantSubscriptionOrderNo": "rhys-60",
    "subscriptionLink": "https://119.28.35.132:13555/zh/web3-subscribe?subscriptionOrderNo=63812942625112175",
    "planNo": "2033844612305932301",
    "planName": "plan031701法币有试用期无优惠",
    "planDesc": "计划描述01",
    "merchantId": "10002",
    "productNo": "3",
    "productName": "优酷",
    "priceNo": "7",
    "priceName": "包天",
    "cryptoCurrency": "USDT",
    "chain": "BSC",
    "userAddress": "0xbe6D780C23E77D979Fad5FbEa249a44E5cAC0463",
    "userId": 10086001,
    "authorizedAmount": "31.95",
    "cryptoAmount": "0.10026792",
    "paidCount": 0,
    "totalPaidAmount": "0",
    "period": "DAY",
    "interval": 1,
    "totalPayCount": 2,
    "trialDays": 3,
    "endTime": 0,
    "lastPayTime": 0,
    "promoAmount": "0",
    "promoRate": "0",
    "nextPayTime": 0,
    "callbackUrl": "https://gate.com",
    "orderStatus": "TRIAL",
    "createTime": 1773921305887,
    "updateTime": 1773893750000,
    "priceType": "FIX_AMOUNT",
    "paymentChannel": "GATEPAY",
    "authTime": 1773921306000
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 GET /open/institution/v1/order/detail 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"9578"

X-GatePay-On-Behalf-Of
string
必填

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

查询参数

subscriptionOrderNo
string

订阅订单编号(与merchantSubscriptionOrderNo任选一个)

示例:

"PLAN_20240101_001"

merchantSubscriptionOrderNo
string

商户订阅订单编号(与subscriptionOrderNo任选一个)

示例:

"PRICE_ABC123"

响应

200 - application/json

查询订阅订单详情成功

code
string

响应码,0 表示成功

示例:

"0"

message
string

响应描述,成功时为空

示例:

""

success
boolean

请求是否成功

示例:

true

data
object